<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<ng-content>
</ng-content>
<i  class="fa" [ngClass]="{'fa-sort': initColumnName != columnName || defaultState, 
                          'fa-sort-asc': (initColumnName == columnName && !isDesc && !defaultState), 
                          'fa-sort-desc': (initColumnName == columnName && isDesc && !defaultState) }" aria-hidden="true"> 
        </i>